---
title: About this documentation
sidebar_label: About this documentation
hide_title: true
---

<script async type="text/javascript" src="//cdn.carbonads.com/carbon.js?serve=CEBD4KQ7&placement=mobxjsorg" id="_carbonads_js"></script>

# About this documentation

It follows the principle that the most commonly used concepts are
introduced before specialized information. This applies to the headings in the table
of concepts as well as the pages under those headings.

We've marked the sections and concepts that are more advanced with the {🚀} marker. You likely won't have to understand them until you will have a special use case, and can use MobX very effectively without knowing about them. Feel free to skip them and move on to the next section!

The documentation has been rewritten for MobX 6. For older versions of MobX, it can be found [here](https://github.com/mobxjs/mobx/tree/mobx4and5/docs).
All the principles are the same, and the API is largely the same. The main difference is that before MobX 6, [decorators](https://github.com/mobxjs/mobx/blob/mobx4and5/docs/best/decorators.md) were the recommended syntax to write MobX enhanced classes.

A summary of the documentation can be downloaded as cheat sheet:

<div class="cheat"><a href="https://gum.co/fSocU"><button title="Download the MobX 6 cheat sheet and sponsor the project">Download the MobX 6 cheat sheet</button></a></div>

## Guided tour

To get an overall idea of how to use MobX with React, read through the current _Introduction_ heading, in particular [The gist of MobX](the-gist-of-mobx.md) section.
It will introduce you to the most important principles, APIs and how they relate.
You should be ready to use MobX once you read this!

Here are a few suggestions about the next things to check out:

-   Try the [10 minute interactive introduction to MobX and React](https://mobx.js.org/getting-started)

-   [React integration](react-integration.md)

-   [`makeObservable` / `makeAutoObservable`](observable-state.md)

-   Learn about [actions](actions.md), which includes a discussion on asynchronous actions

-   The basics of [computeds](computeds.md)

-   Read about [`autorun`](reactions.md#autorun), if only because it's used in the examples

-   To get an idea on how to organize your application's data stores, check out [Defining data stores](defining-data-stores.md)

-   If the behavior of MobX confuses you, it's useful to check out [Understanding reactivity](understanding-reactivity.md)

-   Get a [quick overview of the API](api.md), also linked in the top navigation bar

This should give you a good understanding of the day-to-day uses of MobX. There is plenty more available for you to read at your own leisure.
